import { SubQueries, Query } from './types';
import { QueryConstraint } from '@angular/fire/firestore';
export declare const queryKeys: string[];
export declare function getSubQueryKeys(query: Query<any>): string[];
export declare function hasSubQueries(query: Query<any>): boolean;
export declare function getSubQuery<E, K extends keyof E>(query: SubQueries<E>[K], parent: E): SubQueries<E>[K];
export declare function isDocPath(path: string): boolean;
/** Transform a path into a collection Query */
export declare function collection<T = any>(path: string, queryConstraints?: QueryConstraint[]): Query<T[]>;
/** Transform a path into a doc query */
export declare function doc<T = any>(path: string): Query<T>;
/** Check if a value is a query */
export declare function isQuery<T>(query: any): query is Query<T>;
