import { MonoTypeOperatorFunction } from 'rxjs';
/**
 * Replay the data and share it across source.
 * It will unsubscribe after a delay when there is no more subscriber
 * This is useful if you unsubscribe from a page & resubscribe on the other
 * @note code based on shareReplay of rxjs v6.6.7: https://github.com/ReactiveX/rxjs/blob/6.6.7/src/internal/operators/shareReplay.ts
 * @param delay Delay in ms to wait before unsubscribing
 */
export declare function shareWithDelay<T>(delay?: number): MonoTypeOperatorFunction<T>;
